//	Darkstar Engine  (c) UnderWorld Interactive Studio (all coding by Svarog    2008)
//
//      Данный файл является частью Darkstar Engine. Любое использование кода файла
//      без согласия компании, является нарушением закона об авторском праве (в слу-
//      чае если не оговорено обратное).
//
//      Имя файла: systemTime.hpp
//      Краткое описание: работа с временем и датой файлов
//

#ifndef DSE_KERNEL_TIMETABLE_SYSTEMTIME_HPP
#define DSE_KERNEL_TIMETABLE_SYSTEMTIME_HPP

#include <Darkstar/common.hpp>

namespace ker
{
	class SystemTime
	{
	private:
		unsigned short year;
		unsigned short month;
		unsigned short day;
		unsigned short hour;
		unsigned short minute;
		unsigned short second;
		unsigned short millisecond;
	public:
		SystemTime();
		SystemTime(const FILETIME& time);
		~SystemTime();

		const unsigned short getYear() const;
		const unsigned short getMonth() const;
		const unsigned short getDay() const;
		const unsigned short getHour() const;
		const unsigned short getMinute() const;
		const unsigned short getSecond() const;
		const unsigned short getMillisecond() const;

		bool operator <(const SystemTime& time) const;
	};
};

#include <Darkstar/Kernel/Timetable/systemTime.inl>

#endif